# You control Ultima Online client through the global class UO
# It has methods:
#     UO.Print("string")  - print message to the client window.
#     UO.Exec("command")  - execute a command. For the list of
#                           commands consult documentation.
#     UO.Count("type",["color"]) - returns count of items of type
#     UO.Say("something") - make you character say something.
#     UO.Press(KeyCode[,Count[,Delay]]) - Simulate keypress.
#          KeyCode    - Virtual key code.
#          Count      - Optional. Number of keypresses.
#          Delay      - Time in msec to wait between keypresses.
#     UO.LClick(X,Y)      - Simulate left button click.
#     UO.RClick(X,Y)      - Simulate right button click.
#     UO.LDblClick(X,Y)   - Simulate left button double click.
#     UO.RDblClick(X,Y)   - Simulate right button double click.
#     UO.Drag(X1,Y1, X2,Y2 [,amount])   - drag something.
# If you don't specify amount the whole stock is dragged.
# You can use "Insert key code" button to get virtual key code.
# And use "Pick coord" to find mouse coordinates on screen.
# Don't forget to call function Wait(time in msec) after
# using skill/spell to wait until it finishes!
# List of read-only properties:
#     UO.Life, UO.Mana, UO.Stamina, UO.STR, UO.INT, UO.DEX,
#     UO.Weight, UO.Armor, UO.Gold, UO.BM, UO.BP, UO.GA, UO.GS,
#     UO.MR, UO.NS, UO.SA, UO.SS, UO.VA, UO.EN, UO.WH, UO.FD,
#     UO.BR, UO.H, UO.C, UO.M, UO.L, UO.B, UO.AR, UO.BT

sub main()
	UO.Print("Hello from function MAIN")
end sub

#The following is a few sample scripts by Yoko.
#They aren't supposed for unchaged use on Sphere, POL or OSI

sub grabscrolls()
# 1F2E - 1F7D  1f2e - clumsy 
DIM scroll[64]
scroll[0]="0x1F2D"
scroll[1]="0x1F2F"
scroll[2]="0x1F30"
scroll[3]="0x1F31"
scroll[4]="0x1F32"
scroll[5]="0x1F33"
scroll[6]="0x1F34"
scroll[7]="0x1F35"
scroll[8]="0x1F36"
scroll[9]="0x1F37"
scroll[10]="0x1F38"
scroll[11]="0x1F39"
scroll[12]="0x1F3A"
scroll[13]="0x1F3B"
scroll[14]="0x1F3C"
scroll[15]="0x1F3D"
scroll[16]="0x1F3E"
scroll[17]="0x1F3F"
scroll[18]="0x1F40"
scroll[19]="0x1F41"
scroll[20]="0x1F42"
scroll[21]="0x1F43"
scroll[22]="0x1F44"
scroll[23]="0x1F45"
scroll[24]="0x1F46"
scroll[25]="0x1F47"
scroll[26]="0x1F48"
scroll[27]="0x1F49"
scroll[28]="0x1F4A"
scroll[29]="0x1F4B"
scroll[30]="0x1F4C"
scroll[31]="0x1F4D"
scroll[32]="0x1F4E"
scroll[33]="0x1F4F"
scroll[34]="0x1F50"
scroll[35]="0x1F51"
scroll[36]="0x1F52"
scroll[37]="0x1F53"
scroll[38]="0x1F54"
scroll[39]="0x1F55"
scroll[40]="0x1F56"
scroll[41]="0x1F57"
scroll[42]="0x1F58"
scroll[43]="0x1F59"
scroll[44]="0x1F5A"
scroll[45]="0x1F5B"
scroll[46]="0x1F5C"
scroll[47]="0x1F5D"
scroll[48]="0x1F5E"
scroll[49]="0x1F5F"
scroll[50]="0x1F60"
scroll[51]="0x1F61"
scroll[52]="0x1F62"
scroll[53]="0x1F63"
scroll[54]="0x1F64"
scroll[55]="0x1F65"
scroll[56]="0x1F66"
scroll[57]="0x1F67"
scroll[58]="0x1F68"
scroll[59]="0x1F69"
scroll[60]="0x1F6A"
scroll[61]="0x1F6B"
scroll[62]="0x1F6C"
scroll[63]="0x1F6D"
for var i=0 to 63
if UO.Count(scroll[i]) > 0 then
 wait(500)
 UO.Print(scroll[i]);
 UO.waittargettype(scroll[i]);
 UO.grab("")
 end if
next
end sub

sub Enticement()
  var eat_count
  eat_count = 0
while 1
 eat_count = eat_count + 1
 UO.Exec("waittargetobject animal Yoko");
 UO.useskill("Enticement");
 wait(3500);
    if eat_count > 100 then
      eat_count = 0
      UO.Exec("usetype 0x097b")
    end if
wend
return
end sub

sub Provocation()
  var eat_count
  eat_count = 0
while 1
 eat_count = eat_count + 1
 UO.Exec("waittargetobject animal animal2");
 UO.useskill("Provocation");
 wait(4000);
    if eat_count > 100 then
      eat_count = 0
      UO.Exec("usetype 0x097b")
    end if
wend
return
end sub

sub TasteID()
  var eat_count
  eat_count = 0
while 1
 eat_count = eat_count + 1
 UO.Exec("waittargettype refresh");
 UO.useskill("Taste Identification");
 wait(3500);
    if eat_count > 100 then
      eat_count = 0
      UO.Exec("usetype 0x097b")
    end if
wend
return
end sub

sub makeBolts()
UO.Exec("automenu Crossbow (last)")
while UO.Count("0x1BF2")>1 and UO.Count("0x1BD4")>9
UO.Print(STR(UO.Count("0x1BF2"))+"+"+STR(UO.Count("0x1BD4"))+">"+STR(UO.BT))
UO.waittargettype("0x1BF2")
UO.usetype("0x1BD4")
wait(3500)
wend
UO.Exec("cancelmenu")
end sub
